import { mapGetters } from 'vuex'
import { pageTo, getCheckLogin, isLogin } from '@/utils/util.js'
import { wxLoginFn } from '@/utils/auth'
import { getShopUser } from '@/utils/auth'
import constant from '@/constant'
export default {
	data() {
		return {
			// 全局混入，插入链接参数
			option: null,
			// 全局混入，插入全局常量
			constant: this.$constant,
			// 全局混入，插入全局工具函数
			$util: this.$util,
			// 全局混入，插入全局跳转函数
			pageTo: pageTo
		}
	},
	// computed: {
	// 	...mapGetters({ userInfo: 'getUser' })
	// },
	// 页面生命周期才触发
	onLoad: function (option) {
		this.option = option || null
		if (option.token) {
			uni.setStorageSync('token', option.token)
		}
		let oldAccount = uni.getStorageSync('account')
		if (option.account) {
			uni.setStorageSync('account', option.account)
		}
		uni.setStorageSync('currentQuery', JSON.stringify(option))

		//线上检查小程序的登录态是否有效 checkSession
		//checkSession开发环境无效，在真机调试有效
		if (process.env.NODE_ENV == "production") {
			uni.checkSession({
				success() {
					console.log('checkSession success')
				},
				fail() {
					uni.removeStorageSync('token');
				}
			})
		}
		// 登录
		if (isLogin()) {
			if (this.init) {
				let self = this
				//查看不同门店商城时，需要先确认有没生成客户id shish 2021.5.2
				if (option.account && oldAccount != option.account) {

					console.log('已经登陆，有切换门店',option.account,oldAccount)

					getShopUser(true).then(res => {
						if (!this.$util.isEmpty(res)) {
							self.init()
						}
					})
				} else {
					console.log('已经登陆，并且没有切换门店')
					this.init()
				}
			}
		} else {
			wxLoginFn().then(res => {
				if (this.init) {
					console.log(11113)
					let self = this
					//查看不同门店商城时，需要先确认有没生成客户id shish 2021.5.2
					if (option.account && oldAccount != option.account) {

						console.log('登陆后有切换门店',option.account,oldAccount)

						getShopUser(true).then(res => {
							if (!this.$util.isEmpty(res)) {
								self.init()
							}
						})
					} else {
						console.log('登陆后没有切换门店')
						this.init()
					}
				}
			})
		}

	},
	mounted() {
		if (this.mInit) { }
	}
}
